System.Core 4.0.0.0 System.IO.Pipes.PipeStream System.MonoTODO("Anonymous pipes are not working even on win32, due to some access authorization issue")

Anonymous pipes help provide safe and secure interprocess communication between child and parent processes. The class enables a child process to connect to and exchange information with a parent process.

Anonymous pipes are unnamed, one-way pipes that typically transfer data between parent and child processes. Anonymous pipes are always local; they cannot be used over a network. A value of is not supported because anonymous pipes are defined to be one-way.

Anonymous pipes do not support read modes.

The client side of an anonymous pipe must be created from a pipe handle provided by the server side by calling the method. The string is then passed as a parameter when creating the client process. From the client process, it is passed to the constructor as the parameter.

For winxppro and win2kserver, a maximum of 10 pipes can simultaneously connect over the network.

Exposes the client side of an anonymous pipe stream, which supports both synchronous and asynchronous read and write operations.

- Constructor
  4.0.0.0

  For constructors without a parameter, the default direction is .

  Initializes a new instance of the class with the specified string representation of the pipe handle.

  A string that represents the pipe handle.
- Constructor
  4.0.0.0

  A value of is not supported because anonymous pipes are defined to be one-way.

  Initializes a new instance of the class from the specified handle.

  One of the enumeration values that determines the direction of the pipe.
  A safe handle for the pipe that this object will encapsulate.
- Constructor
  4.0.0.0

  A value of is not supported because anonymous pipes are defined to be one-way.

  Initializes a new instance of the class with the specified pipe direction and a string representation of the pipe handle.

  One of the enumeration values that determines the direction of the pipe.
  A string that represents the pipe handle.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Property
  4.0.0.0
  System.IO.Pipes.PipeTransmissionMode To be added.

  Anonymous pipes do not support read mode.

  Sets the reading mode for the object.

- Property
  4.0.0.0
  System.IO.Pipes.PipeTransmissionMode To be added.

  Anonymous pipes do not support read mode.

  Gets the pipe transmission mode supported by the current pipe.